Loading...
Searching...
No Matches
pappso::FilterMorphoMinMax Class Reference

transform the trace with the minimum of the maximum equivalent of the dilate filter for pictures More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMinMax:

## Public Member Functions

| FilterMorphoMinMax (std::size_t half_window_size)
| FilterMorphoMinMax (const FilterMorphoMinMax &other)
virtual | ~FilterMorphoMinMax ()
FilterMorphoMinMax & | operator= (const FilterMorphoMinMax &other)
Trace & | filter (Trace &data_points) const override
std::size_t | getMinMaxHalfEdgeWindows () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Private Attributes

FilterMorphoMax | m_filterMax
FilterMorphoMin | m_filterMin

## Detailed Description

transform the trace with the minimum of the maximum equivalent of the dilate filter for pictures

Definition at line 126 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMinMax() [1/2]

FilterMorphoMinMax::FilterMorphoMinMax | ( | std::size_t | half_window_size | ) |

Definition at line 207 of file filtermorpho.cpp.

: m_filterMax(half_window_size), m_filterMin(half_window_size)
{
}
pappso::FilterMorphoMinMax::m_filterMax
FilterMorphoMax m_filterMax
Definition filtermorpho.h:140
pappso::FilterMorphoMinMax::m_filterMin
FilterMorphoMin m_filterMin
Definition filtermorpho.h:141

References m_filterMax, and m_filterMin.

Referenced by FilterMorphoMinMax(), and operator=().

## FilterMorphoMinMax() [2/2]

FilterMorphoMinMax::FilterMorphoMinMax | ( | const FilterMorphoMinMax & | other | ) |

Definition at line 211 of file filtermorpho.cpp.

: m_filterMax(other.m_filterMax), m_filterMin(other.m_filterMin)
{
}

References FilterMorphoMinMax(), m_filterMax, and m_filterMin.

## ~FilterMorphoMinMax()

virtual pappso::FilterMorphoMinMax::~FilterMorphoMinMax | ( |  | ) |

inline virtual

Definition at line 132 of file filtermorpho.h.

{};

## Member Function Documentation

## filter()

Trace & FilterMorphoMinMax::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 226 of file filtermorpho.cpp.

{
qDebug();
m_filterMax.filter(data_points);
m_filterMin.filter(data_points);
qDebug();
return data_points;
}

References m_filterMax, and m_filterMin.

## getMinMaxHalfEdgeWindows()

std::size_t FilterMorphoMinMax::getMinMaxHalfEdgeWindows | ( |  | ) | const

Definition at line 235 of file filtermorpho.cpp.

{
return m_filterMax.getHalfWindowSize();
}

References m_filterMax.

Referenced by pappso::FilterMorphoBackground::FilterMorphoBackground(), and pappso::FilterMorphoBackground::operator=().

## operator=()

FilterMorphoMinMax & FilterMorphoMinMax::operator= | ( | const FilterMorphoMinMax & | other | ) |

Definition at line 217 of file filtermorpho.cpp.

{
m_filterMax = other.m_filterMax;
m_filterMin = other.m_filterMin;
return *this;
}

References FilterMorphoMinMax(), m_filterMax, and m_filterMin.

## Member Data Documentation

## m_filterMax

FilterMorphoMax pappso::FilterMorphoMinMax::m_filterMax

private

Definition at line 140 of file filtermorpho.h.

Referenced by FilterMorphoMinMax(), FilterMorphoMinMax(), filter(), getMinMaxHalfEdgeWindows(), and operator=().

## m_filterMin

FilterMorphoMin pappso::FilterMorphoMinMax::m_filterMin

private

Definition at line 141 of file filtermorpho.h.

Referenced by FilterMorphoMinMax(), FilterMorphoMinMax(), filter(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/filters/filtermorpho.h
- pappsomspp/core/processing/filters/filtermorpho.cpp